< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package modules
  Definition Classes
    play
- BadGatewayException
- GatewayTimeoutException
- GenericError
- HttpBody
- Implicits
- InMemoryPlayObjectStoreContentReads
- LowPriorityInMemoryPlayObjectStoreContentReads
- Md5Hash
- MonadFuture
- PlayFormats
- PlayMonad
- PlayMonads
- PlayObjectStoreClient
- PlayObjectStoreClientEither
- PlayObjectStoreContentReads
- PlayObjectStoreContentWrites
- PlayObjectStoreException
- PlayObjectStoreReads
- PlayWSHttpClient
- UpstreamErrorResponse

c

uk.gov.hmrc.objectstore.client.play

# PlayObjectStoreException 

###

#### sealed abstract class PlayObjectStoreException extends Exception

Linear Supertypes
Exception, Throwable, Serializable, AnyRef, Any
Known Subclasses
BadGatewayException, GatewayTimeoutException, GenericError, UpstreamErrorResponse
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayObjectStoreException
2. Exception
3. Throwable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  def getCause(): Throwable
    Definition Classes
      Throwable
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
14.  def getMessage(): String
    Definition Classes
      Throwable
15.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
16.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
24.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
25.  def printStackTrace(): Unit
    Definition Classes
      Throwable
26.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped